name: Cameron Wallen
locality: 
country: Remote
role: <a href="/job-families/people-group/recruiter/">Recruiter</a>
reports_to: urselak
picture: cameronwallen.png
pronouns: He/Him
linkedin: cameron-wallen
gitlab: cameron-wallen
departments:
  - People Group
  - Talent Acquisition
specialty: "Technical Recruitment"
story: Cameron is a technical recruiter who has worked with startups, SME's, and enterprise companies, both as an agency supplier and internally. Outside of work, he enjoys podcasts, italian food, and old Japanese cars. 
